<html>
	<body>
		<h2 class="page-header">New Company</h2>
		<div class="col-sm-12" style="padding-bottom: 20px;">
		<a href="/service/member" class="btn btn-success btn-lg pull-right">Back</a>
		</div>
		<form method="post" action="/service/new_member" enctype="multipart/form-data" onsubmit="validate6();">
			<!--<label class="switch">
					<input type="checkbox">
					<span class="slider round"></span>
				</label>-->
				<div class="switch-title" style="font-size: 21px;">Choose Company Or Person
					<div class="switch-field">
						<input type="radio" id="switch_left" name="switch_2" id="switch_2" value="Company"/>
						<label for="switch_left">COMPANY</label>
						<input type="radio" id="switch_right" name="switch_2" id="switch_1" value="Person" />
						<label for="switch_right">PERSON</label>
						
					</div>
				</div>
			<div id="company" style="display: none;">
			<div role="tabpanel" style="padding-bottom: 20px;">
				<ul class="nav nav-tabs" role="tablist">
					<li role="presentation" class="active">
						<a href="#personal" aria-controls="uploadTab" role="tab" data-toggle="tab">Personal Detail</a>
					</li>
					<li role="presentation">
						<a href="#proof" aria-controls="browseTab" role="tab" data-toggle="tab">Proof Details</a>
					</li>
					<li role="presentation">
						<a href="#account" aria-controls="browseTab" role="tab" data-toggle="tab">Account Details</a>
					</li>
					<li role="presentation">
						<a href="#job" aria-controls="browseTab" role="tab" data-toggle="tab">Experience Details</a>
					</li>
				</ul>
			</div>
			<div class="tab-content">
				<div role="tabpanel" class="tab-pane active" id="personal">
					<div class="col-sm-12">
						<div class="col-sm-6">
							<div class="form-group">
								<label>Company Name<span class="required">*</span></label>
									<input type="text" class="form-control" name="comapny_name" id="company_name" placeholder="Company Name">
							</div>
							<div class="form-group">
								<label>Contact Name<span class="required">*</span></label>
									<input type="text" class="form-control" name="contact_name" id="contact_name" placeholder="Contact Name">
							</div>
						</div>
						
						<div class="col-sm-6">
							
							<div class="form-group">
								<label>Company ID<span class="required">*</span></label>
									<input type="text" class="form-control" name="cid" id="cid" readonly>
							</div>
							
							<div class="form-group">
								<label>State<span class="required">*</span></label>
									<select class="form-control" name="state" id="state" onChange="get_city(this.value);">
										<option value="">--Select State--</option>
										{{#each items as |item|}}
											<option value="{{item.id}}">{{item.state_name}}</option>
										{{/each}}
									</select>
							</div>
						</div>
						
						<div class="col-sm-6">
							<div class="form-group">
									<label>City<span class="required">*</span></label>
										<select class="form-control" name="city_name" id="city_name">
											<option value="">--Select City--</option>
										</select>
								</div>
								
								<div class="form-group">
									<label>Pincode<span class="required">*</span></label>
										<input type="number" class="form-control" name="pincode" id="pincode" placeholder="Pincode">
								</div>
								
						</div>
						
						<div class="col-sm-6">
							<div class="form-group">
									<label>Alternate Number</label>
										<input type="number" class="form-control" id="c_mobile" name="c_mobile" placeholder="Alternate Number">
								</div>
								
								<div class="form-group">
									<label>Mobile Number<span class="required">*</span></label>
										<input type="number" class="form-control" id="mobile" name="mobile" placeholder="Mobile Number">
								</div>
						</div>
						
						<div class="col-sm-6">
							<div class="form-group">
									<label>Email</label>
									<input type="text" class="form-control" id="email" name="email" placeholder="Email">
							</div>
						</div>
						<div class="col-sm-6">
							<div class="form-group">
								<label>Password<span class="required">*</span></label>
									<input type="password" class="form-control" id="password" name="password" placeholder="Password">
							</div>
						</div>
						
						<div class="col-sm-6">
							<div class="form-group">
								<label>Address<span class="required">*</span></label>
								<textarea name="address" class="form-control" id="address" placeholder="Address"></textarea>
							</div>
						</div>
						<div class="col-sm-12">
							<a class="btn btn-success next" id="cnt1" onclick="validate1()">Continue</a>
						</div>
					</div>
				</div>
				
				
				
				<div role="tabpanel" class="tab-pane" id="proof">
					<div class="col-sm-12">
						<div class="col-sm-6">
							<div class="form-group imageupload">
								<label>Address Proof<span class="required">*</span></label>
									<div class="file-tab panel-body" style="padding: 0px;">
											
										<label class="btn btn-default btn-file form-control">
										<input type="file" name="address_proof" id="address_proof">
											
										</label>
										<button type="button" class="btn btn-default">Remove</button>
									</div>
							</div>
						</div>
						
						<div class="col-sm-6">
							<div class="form-group imageupload">
								<label>ID Proof<span class="required">*</span></label>
									<div class="file-tab panel-body" style="padding: 0px;">
											
										<label class="btn btn-default btn-file form-control">
										<input type="file" name="id_proof" id="id_proof">
											
										</label>
										<button type="button" class="btn btn-primary">Remove</button>
									</div>
							</div>
						</div>
						
						
					</div>
					<div class="col-sm-6">
							<a class="btn btn-success next" id="cnt1" onclick="validate2()">Continue</a>
					</div>
				</div>
				
				<div role="tabpanel" class="tab-pane" id="account">
					<div class="col-sm-12">
						<div class="col-sm-6">
							<div class="form-group">
								<label>Bank Name<span class="required">*</span></label>
									<input type="text" class="form-control" name="bank_name" id="bank_name" placeholder="Bank Name">
							</div>
							
							<div class="form-group">
								<label>Branch Name<span class="required">*</span></label>
									<input type="text" class="form-control" name="branch_name" id="branch_name" placeholder="Branch Name">
							</div>
						</div>
						
						<div class="col-sm-6">
							<div class="form-group">
								<label>Account Number<span class="required">*</span></label>
									<input type="number" class="form-control" name="account_number" id="account_number" placeholder="Account Number">
							</div>
							
							<div class="form-group">
								<label>Cheque Name</label>
									<input type="text" class="form-control" name="cheque_name" placeholder="Cheque Name">
							</div>
						</div>
						<div class="col-sm-6">
							<a class="btn btn-success next" id="cnt1" onclick="validate3()">Continue</a>
						</div>
					</div>
				</div>
				
				<div role="tabpanel" class="tab-pane" id="job">
					<div class="col-sm-12">
						<div class="col-sm-6">
							<div class="form-group">
								<label>Job Name<span class="required">*</span></label>
								<select class="form-control" name="job_name[]" id="job_name" multiple required>
									<option value="">--Select Job--</option>
									{{#each jobs as |job|}}
										<option value="{{job.id}}">{{job.job_name}}</option>
									{{/each}}
								</select>
							</div>
							
							<div class="form-group">
								<label>Description</label>
									<textarea name="description" class="form-control" placeholder="Description"></textarea>
							</div>
							
						</div>
						
						<div class="col-sm-6">
						
							<div class="form-group">
								<label>Experience<span class="required">*</span></label>
									<input type="number" class="form-control" id="experience" name="experience" placeholder="Experience" required>
							</div>
							
						</div>
						
						<div class="col-sm-12">
								<input type="submit" name="submit" class=" btn btn-success next" value="submit">
						</div>
						
					</div>
				</div>
				
			</div>
			</div>

			<div id="person" style="display: none;">
				<div role="tabpanel" style="padding-bottom: 20px;">
				<ul class="nav nav-tabs" role="tablist">
					<li role="presentation" class="active">
						<a href="#personal_person" aria-controls="uploadTab" role="tab" data-toggle="tab">Personal Detail</a>
					</li>
					<li role="presentation">
						<a href="#proof_person" aria-controls="browseTab" role="tab" data-toggle="tab">Proof Details</a>
					</li>
					<li role="presentation">
						<a href="#account_person" aria-controls="browseTab" role="tab" data-toggle="tab">Account Details</a>
					</li>
					<li role="presentation">
						<a href="#job_person" aria-controls="browseTab" role="tab" data-toggle="tab">Experience Details</a>
					</li>
				</ul>
			</div>
			<div class="tab-content">
				<div role="tabpanel" class="tab-pane active" id="personal_person">
					<div class="col-sm-12">
						<div class="col-sm-6">
							<div class="form-group">
								<label>Person Name<span class="required">*</span></label>
									<input type="text" class="form-control" name="comapny_name" id="company_name" placeholder="Company Name">
							</div>
							<div class="form-group">
								<label>State<span class="required">*</span></label>
									<select class="form-control" name="state" id="state" onChange="get_city(this.value);">
										<option value="">--Select State--</option>
										{{#each items as |item|}}
											<option value="{{item.id}}">{{item.state_name}}</option>
										{{/each}}
									</select>
							</div>
						</div>
						
						<div class="col-sm-6">
							<div class="form-group">
								<label>Person ID<span class="required">*</span></label>
									<input type="text" class="form-control" name="cid" id="cid" readonly>
							</div>
							
							<div class="form-group">
									<label>City<span class="required">*</span></label>
										<select class="form-control" name="city_name" id="city_name">
											<option value="">--Select City--</option>
										</select>
								</div>
						</div>
						
						<div class="col-sm-6">
								<div class="form-group">
									<label>Pincode<span class="required">*</span></label>
										<input type="number" class="form-control" name="pincode" id="pincode" placeholder="Pincode">
								</div>
								<div class="form-group">
									<label>Alternate Number</label>
										<input type="number" class="form-control" id="c_mobile" name="c_mobile" placeholder="Alternate Number">
								</div>
						</div>
						
						<div class="col-sm-6">
								<div class="form-group">
									<label>Mobile Number<span class="required">*</span></label>
										<input type="number" class="form-control" id="mobile" name="mobile" placeholder="Mobile Number">
								</div>

								<div class="form-group">
									<label>Email</label>
									<input type="text" class="form-control" id="email" name="email" placeholder="Email">
								</div>
						</div>
						
						<div class="col-sm-6">
							<div class="form-group">
								<label>Password<span class="required">*</span></label>
									<input type="password" class="form-control" id="password" name="password" placeholder="Password">
							</div>
						</div>
						<div class="col-sm-6">
							<div class="form-group">
								<label>Address<span class="required">*</span></label>
								<textarea name="address" class="form-control" id="address" placeholder="Address"></textarea>
							</div>
						</div>
						
						<div class="col-sm-12">
							<a class="btn btn-success next" id="cnt1" onclick="validate1()">Continue</a>
						</div>
					</div>
				</div>
				
				
				
				<div role="tabpanel" class="tab-pane" id="proof_person">
					<div class="col-sm-12">
						<div class="col-sm-6">
							<div class="form-group imageupload">
								<label>Address Proof<span class="required">*</span></label>
									<div class="file-tab panel-body" style="padding: 0px;">
											
										<label class="btn btn-default btn-file form-control">
										<input type="file" name="address_proof" id="address_proof">
											
										</label>
										<button type="button" class="btn btn-default">Remove</button>
									</div>
							</div>
						</div>
						
						<div class="col-sm-6">
							<div class="form-group imageupload">
								<label>ID Proof<span class="required">*</span></label>
									<div class="file-tab panel-body" style="padding: 0px;">
											
										<label class="btn btn-default btn-file form-control">
										<input type="file" name="id_proof" id="id_proof">
											
										</label>
										<button type="button" class="btn btn-primary">Remove</button>
									</div>
							</div>
						</div>
						
						
					</div>
					<div class="col-sm-6">
							<a class="btn btn-success next" id="cnt1" onclick="validate2()">Continue</a>
					</div>
				</div>
				
				<div role="tabpanel" class="tab-pane" id="account_person">
					<div class="col-sm-12">
						<div class="col-sm-6">
							<div class="form-group">
								<label>Bank Name<span class="required">*</span></label>
									<input type="text" class="form-control" name="bank_name" id="bank_name" placeholder="Bank Name">
							</div>
							
							<div class="form-group">
								<label>Branch Name<span class="required">*</span></label>
									<input type="text" class="form-control" name="branch_name" id="branch_name" placeholder="Branch Name">
							</div>
						</div>
						
						<div class="col-sm-6">
							<div class="form-group">
								<label>Account Number<span class="required">*</span></label>
									<input type="number" class="form-control" name="account_number" id="account_number" placeholder="Account Number">
							</div>
							
							<div class="form-group">
								<label>Cheque Name</label>
									<input type="text" class="form-control" name="cheque_name" placeholder="Cheque Name">
							</div>
						</div>
						<div class="col-sm-6">
							<a class="btn btn-success next" id="cnt1" onclick="validate3()">Continue</a>
						</div>
					</div>
				</div>
				
				<div role="tabpanel" class="tab-pane" id="job_person">
					<div class="col-sm-12">
						<div class="col-sm-6">
							<div class="form-group">
								<label>Job Name<span class="required">*</span></label>
								<select class="form-control" name="job_name[]" id="job_name" multiple required>
									<option value="">--Select Job--</option>
									{{#each jobs as |job|}}
										<option value="{{job.id}}">{{job.job_name}}</option>
									{{/each}}
								</select>
							</div>
							
							<div class="form-group">
								<label>Description</label>
									<textarea name="description" class="form-control" placeholder="Description"></textarea>
							</div>
							
						</div>
						
						<div class="col-sm-6">
						
							<div class="form-group">
								<label>Experience<span class="required">*</span></label>
									<input type="number" class="form-control" id="experience" name="experience" placeholder="Experience" required>
							</div>
							
						</div>
						
						<div class="col-sm-12">
								<input type="submit" name="submit" class=" btn btn-success next" value="submit">
						</div>
						
					</div>
				</div>
				
			</div>
			</div>
			{{#if error_msg}}
				<div class="alert alert-danger">{{error_msg}}</div>
			{{/if}}
			
		</form>
	</body>
	
	<script>
		$(document).ready(function(){
			$.ajax({
				type: 'POST',
				url: '/service/autoid',
				success: function(data){
					$('#cid').val(data);
				}
			});

			$('input[type=radio]').click(function(){
				var radioValue = $("input[name='switch_2']:checked").val();
				
				if(radioValue == 'Person'){
					$('#company').hide();
					$('#person').show();
				}else{
					$('#company').show();
					$('#person').hide();
				}
				
			});
		});
		function validate1()
		{   
			var company_name=$('#company_name').val();
			var contact_name=$('#contact_name').val();
			var state=$('#state').val();
			var city_name=$('#city_name').val();
			var pincode=$('#pincode').val();
			var c_mobile=$('#c_mobile').val();
			var mobile=$('#mobile').val();
			var password=$('#password').val();
			var email=$('#email').val();
			var address=$('#address').val();			
			var phoneno = /^\d{10}$/; 
			var mailformat = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
			var radios = document.getElementsByName("gender");  
			
			if(company_name==''){
				swal('Enter Company Name');
				return false;
			} else if(contact_name==''){
				swal('Enter Contact Name');
				return false;
			} else if(state==''){
				swal('Please Select State');
				return false;
			}else if(city_name==''){
				swal('Please Select City');
				return false;
			}  else if(pincode=='') {
				swal('Enter Pincode');
				return false;
			} else if(pincode.length!=6) {
				swal('Enter Only 6 Numbers For Pincode');
				$('#pincode').val("");
				return false;
			} else if(mobile.length=='') {
				swal('Enter Mobile Number');
				return false;
			} else if(mobile.length!=10) {
				swal('Enter Valid 10 Mobile Number');
				$('#mobile').val("");
				return false;
			} else if(c_mobile!='' && c_mobile.length!=10) {
				swal('Enter Valid 10 Mobile Number');
				$('#c_mobile').val("");
				return false;
			} else if(email!='' && !email.match(mailformat)){
				 swal("Invalid email address!"); 
				$('#email').val("");
				return false; 
			} else if(password=='') {
				swal('Enter Password');
				return false;
			} else if(address=='') {
				swal('Enter Address');
				return false;
			}  else
			{     
				var request = jQuery.ajax({
				url: "/service/mobile_check",
				type: "POST",  
				data: {mobile : mobile,c_mobile : c_mobile},
				dataType: "html"
				});  
				request.done(function(msg) { 
				if(msg==1)
					{
						swal("Mobile Number is Aleady Exists.");
						document.getElementById('mobile').value = "";
					} 
					else
					{
						 $('.nav-tabs > .active').next('li').find('a').attr('data-toggle','tab').trigger('click');
					}
				}); 	
				 
			}  
				
		}
	
	function validate2()
		{   
			var address_proof=$('#address_proof').val();
			var id_proof=$('#id_proof').val();
			
			if(address_proof==''){
				swal('Upload Address Proof');
				return false;
			} else if(id_proof==''){
				swal('Upload ID Proof');
				return false;
			} else
			{  
				$('.nav-tabs > .active').next('li').find('a').attr('data-toggle','tab').trigger('click');
				 
			}  
				
		}
		
		function validate3()
		{   
			var bank_name=$('#bank_name').val();
			var account_number=$('#account_number').val();
			var branch_name=$('#branch_name').val();
			
			if(bank_name==''){
				swal('Enter Bank Name');
				return false;
			} else if(account_number==''){
				swal('Enter Account Number');
				return false;
			} else if(branch_name==''){
				swal('Enter Branch Name');
				return false;
			} else
			{  
				$('.nav-tabs > .active').next('li').find('a').attr('data-toggle','tab').trigger('click');
				 
			}  
				
		}
		
		function validate6()
		{
			var job_name=$('#job_name').val();
			var experience=$('#experience').val();
			if(job_name==''){
				swal('Select Job Name'); 
				return false;
			} else if(experience=='') {
				swal('Enter Experience'); 
				return false;
			} 
		}
		
	</script>
	
	<script>
		function get_city(stateid){
		
			$.ajax({
				type: 'POST',
				data: {str: stateid},
				url: '/service/getcity',
				success: function(data){
				
					$('#city_name').html(data);
				}
			});
		}
	</script>
	<script>
		var $imageupload = $('.imageupload');
		$imageupload.imageupload();

		$('#imageupload-disable').on('click', function() {
			$imageupload.imageupload('disable');
			$(this).blur();
		})

		$('#imageupload-enable').on('click', function() {
			$imageupload.imageupload('enable');
			$(this).blur();
		})

		$('#imageupload-reset').on('click', function() {
			$imageupload.imageupload('reset');
			$(this).blur();
		});
    </script>
		
</html>